org.apache.pdfbox.pdmodel.fixup.processor

## Class AcroFormGenerateAppearancesProcessor

- java.lang.Object
- - org.apache.pdfbox.pdmodel.fixup.processor.AbstractProcessor
  - - org.apache.pdfbox.pdmodel.fixup.processor.AcroFormGenerateAppearancesProcessor

All Implemented Interfaces:
  PDDocumentProcessor

    public class AcroFormGenerateAppearancesProcessor
    extends AbstractProcessor

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.fixup.processor.AbstractProcessor

`document`

### Constructor Summary

Constructors
Constructor and Description
`AcroFormGenerateAppearancesProcessor(PDDocument document)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcroFormGenerateAppearancesProcessor

    public AcroFormGenerateAppearancesProcessor(PDDocument document)

### Method Detail

#### process

    public void process()